Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class AnnotationVisitor

    java.lang.Object
      org.codehaus.groovy.classgen.AnnotationVisitor

    public class AnnotationVisitor
    extends Object

An Annotation visitor responsible with: - reading annotation metadata (@Retention, @Target, attribute types) - verify that an `AnnotationNode` conforms to annotation meta - enhancing an `AnnotationNode` AST to reflect real annotation meta

Authors:
  Alex Popescu

Constructor Summary
`AnnotationVisitor(SourceUnit source, ErrorCollector errorCollector)`

Method Summary
`protected void` | `addError(String msg)`
`protected void` | `addError(String msg, ASTNode expr)`
`void` | `checkCircularReference(ClassNode searchClass, ClassNode attrType, Expression startExp)`
`void` | `checkReturnType(ClassNode attrType, ASTNode node)`
`void` | `setReportClass(ClassNode cn)`
`AnnotationNode` | `visit(AnnotationNode node)`
`protected void` | `visitAnnotationExpression(String attrName, AnnotationConstantExpression expression, ClassNode attrType)` @param attrName the name
`protected void` | `visitConstantExpression(String attrName, ConstantExpression constExpr, ClassNode attrType)`
`protected void` | `visitEnumExpression(String attrName, PropertyExpression propExpr, ClassNode attrType)`
`protected void` | `visitExpression(String attrName, Expression attrExp, ClassNode attrType)`
`protected void` | `visitListExpression(String attrName, ListExpression listExpr, ClassNode elementType)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AnnotationVisitor

    public AnnotationVisitor(SourceUnit source, ErrorCollector errorCollector)

Method Detail

### addError

    protected void addError(String msg)

### addError

    protected void addError(String msg, ASTNode expr)

### checkCircularReference

    public void checkCircularReference(ClassNode searchClass, ClassNode attrType, Expression startExp)

### checkReturnType

    public void checkReturnType(ClassNode attrType, ASTNode node)

### setReportClass

    public void setReportClass(ClassNode cn)

### visit

    public AnnotationNode visit(AnnotationNode node)

### visitAnnotationExpression

    protected void visitAnnotationExpression(String attrName, AnnotationConstantExpression expression, ClassNode attrType)

  Parameters:
    `attrName` - the name
    `expression` - the expression
    `attrType` - the type

### visitConstantExpression

    protected void visitConstantExpression(String attrName, ConstantExpression constExpr, ClassNode attrType)

### visitEnumExpression

    protected void visitEnumExpression(String attrName, PropertyExpression propExpr, ClassNode attrType)

### visitExpression

    protected void visitExpression(String attrName, Expression attrExp, ClassNode attrType)

### visitListExpression

    protected void visitListExpression(String attrName, ListExpression listExpr, ClassNode elementType)

Copyright © 2003-2010 The Codehaus. All rights reserved.